package com.njcn.product.event.transientes.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.product.event.transientes.pojo.param.PqUserLedgerParam;
import com.njcn.product.event.transientes.pojo.po.PqUserLedgerPO;

import java.util.List;

public interface PqUserLedgerService extends IService<PqUserLedgerPO> {
    // 添加记录
    boolean addLedger(PqUserLedgerParam ledgerParam);

    // 更新记录
    boolean updateLedger(PqUserLedgerParam ledgerParam);

    // 删除记录（物理删除）
    boolean deleteLedger(List<String> ids);

    // 查询单条记录
    PqUserLedgerPO getLedgerById(String id);

    // 查询所有记录
    Page<PqUserLedgerPO> pageList(PqUserLedgerParam param);
}
